import React, { ReactNode } from "react";
import "./AutoExpandMarquee.css";
import { IAnimationStylesConfig } from "./utils";
export interface IMarqueeAnimationConfig
  extends Partial<IAnimationStylesConfig> {
  mix: boolean;
}
export interface AutoExpandMarqueeProps {
  children: ReactNode;
  /**
   * Customize the animation
   */
  animationConfig?: Partial<IMarqueeAnimationConfig>;
  /**
   * Container style
   */
  style?: React.CSSProperties;
}
/**
 * @bug
 * - Changing windows size breaks animation speed
 */
declare function AutoExpandMarquee({
  children,
  animationConfig,
  style,
}: AutoExpandMarqueeProps): JSX.Element;
export default AutoExpandMarquee;
