import React from "react";
export interface CodeLineProps
  extends Omit<React.HTMLProps<HTMLDivElement>, "ref"> {
  textElementRef: React.ClassAttributes<HTMLParagraphElement>["ref"];
  rowItemRef: React.Ref<HTMLDivElement>;
  text: string;
  textsAmount: number;
  containerProps: React.HTMLProps<HTMLDivElement>;
}
/**
 * Renders 2 `RowItem`, one besides the other, in a container that doesn't break.\
 * Each `RowItem` has `textsAmount` elements with `text`.
 * @unused
 */
declare const Row: ({
  text,
  textsAmount,
  containerProps,
  textElementRef,
  rowItemRef,
  ...divProps
}: CodeLineProps) => JSX.Element;
export default Row;
