/**
 * Will return the amount of `compRef` that fits in `containerRef` according to their widths.\
 * Will recalculate it when the window size changes.
 */
declare const useCompsToFillContainer: (
  compRef: HTMLElement | null,
  containerRef: HTMLElement | null,
  onWindowSizeChange?: (() => void) | undefined
) => number;
export default useCompsToFillContainer;
